path: /build/build/tp_smapi-app-laptop-0.43.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="kernel_linux" emerge app-laptop/tp_smapi -pv -t && \
    USE="kernel_linux" emerge -j ${JOBS} --nodeps app-laptop/tp_smapi
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/tp_smapi && luet-portage --dir /pkgdir/tp_smapi
    app-laptop/tp_smapi && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:02fff54b84d8268a0bf57a5b32b345ca42033dfc3ca8559b61d19a57b5f83118
  package:
    name: tp_smapi
    version: "0.43"
    category: app-laptop
    use_flags:
    - kernel_linux
    requires:
    - name: dmidecode
      version: '>=0'
      category: sys-apps
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: IBM ThinkPad SMAPI BIOS driver
    uri:
    - https://github.com/evgeni/tp_smapi
    license: GPL-2
    buildtimestamp: 2023-09-16 16:18:26.7555383 +0000 UTC m=+62.213585333
    labels:
      DEPEND: sys-apps/dmidecode kernel_linux? ( virtual/modutils ) sys-apps/sed kernel_linux?
        ( virtual/linux-sources virtual/libelf )
      IUSE: hdaps kernel_linux kernel_linux
      RDEPEND: sys-apps/dmidecode kernel_linux? ( virtual/modutils )
      emerge.packages: app-laptop/tp_smapi
      kit: core-hw-kit
      original.package.name: app-laptop/tp_smapi
      original.package.slot: "0"
      original.package.version: "0.43"
    treedir: /build/packages
  package_dir: /pkgdir/tp_smapi
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8bcdc35384a4731e50b0b45d602ef45debc5092ba424f848422fe5c5d79e8f3c
compressiontype: zstd
files:
- etc/conf.d/smapi
- etc/init.d/smapi
- lib/modules/5.10.192-macaroni/extra/thinkpad_ec.ko
- lib/modules/5.10.192-macaroni/extra/tp_smapi.ko
- usr/share/doc/tp_smapi-0.43/CHANGES.bz2
- usr/share/doc/tp_smapi-0.43/README.bz2
- usr/share/doc/tp_smapi-0.43/TODO.bz2
- var/db/pkg/app-laptop/tp_smapi-0.43/BUILD_TIME
- var/db/pkg/app-laptop/tp_smapi-0.43/CATEGORY
- var/db/pkg/app-laptop/tp_smapi-0.43/CBUILD
- var/db/pkg/app-laptop/tp_smapi-0.43/CFLAGS
- var/db/pkg/app-laptop/tp_smapi-0.43/CHOST
- var/db/pkg/app-laptop/tp_smapi-0.43/CONTENTS
- var/db/pkg/app-laptop/tp_smapi-0.43/COUNTER
- var/db/pkg/app-laptop/tp_smapi-0.43/CXXFLAGS
- var/db/pkg/app-laptop/tp_smapi-0.43/DEFINED_PHASES
- var/db/pkg/app-laptop/tp_smapi-0.43/DEPEND
- var/db/pkg/app-laptop/tp_smapi-0.43/DESCRIPTION
- var/db/pkg/app-laptop/tp_smapi-0.43/EAPI
- var/db/pkg/app-laptop/tp_smapi-0.43/FEATURES
- var/db/pkg/app-laptop/tp_smapi-0.43/HOMEPAGE
- var/db/pkg/app-laptop/tp_smapi-0.43/INHERITED
- var/db/pkg/app-laptop/tp_smapi-0.43/IUSE
- var/db/pkg/app-laptop/tp_smapi-0.43/IUSE_EFFECTIVE
- var/db/pkg/app-laptop/tp_smapi-0.43/KEYWORDS
- var/db/pkg/app-laptop/tp_smapi-0.43/LDFLAGS
- var/db/pkg/app-laptop/tp_smapi-0.43/LICENSE
- var/db/pkg/app-laptop/tp_smapi-0.43/NEEDED
- var/db/pkg/app-laptop/tp_smapi-0.43/PF
- var/db/pkg/app-laptop/tp_smapi-0.43/RDEPEND
- var/db/pkg/app-laptop/tp_smapi-0.43/SIZE
- var/db/pkg/app-laptop/tp_smapi-0.43/SLOT
- var/db/pkg/app-laptop/tp_smapi-0.43/USE
- var/db/pkg/app-laptop/tp_smapi-0.43/environment.bz2
- var/db/pkg/app-laptop/tp_smapi-0.43/repository
- var/db/pkg/app-laptop/tp_smapi-0.43/tp_smapi-0.43.ebuild
package_cacheimage: ""
runtime:
  name: tp_smapi
  version: "0.43"
  category: app-laptop
  use_flags:
  - kernel_linux
  requires:
  - name: dmidecode
    version: '>=0'
    category: sys-apps
  - name: modutils
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: IBM ThinkPad SMAPI BIOS driver
  uri:
  - https://github.com/evgeni/tp_smapi
  license: GPL-2
  labels:
    DEPEND: sys-apps/dmidecode kernel_linux? ( virtual/modutils ) sys-apps/sed kernel_linux?
      ( virtual/linux-sources virtual/libelf )
    IUSE: hdaps kernel_linux kernel_linux
    RDEPEND: sys-apps/dmidecode kernel_linux? ( virtual/modutils )
    emerge.packages: app-laptop/tp_smapi
    kit: core-hw-kit
    original.package.name: app-laptop/tp_smapi
    original.package.slot: "0"
    original.package.version: "0.43"
